Subject: Re: linux-next: build failure after merge of the rust tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 18 Mar 2025 10:35:04 +1100

Hi Miguel,

On Mon, 17 Mar 2025 23:35:54 +0100 Miguel Ojeda <[email-masked]> wrote:
>
> On Mon, Mar 17, 2025 at 11:58 AM Stephen Rothwell <[email-masked]> wrote:
> >
> > Presumably this is caused by my merge resolutions :-(  Please have a
> > look and let me know what te resolutions should be.  
> 
> No, it is due to hrtimer-next, which I still have to merge on my side.
> I have created an example merge of hrtimer-next into rust-next which
> should solve you mention error above -- but please feel free to drop
> hrtimer-next today if you prefer, since I will be pushing to rust-next
> the proper merge if linux-next goes well, so you will get it:
> 
>     https://github.com/ojeda/linux.git rust-next-merge-hrtimer
> 
> For the other things mentioned in the other threads, I have also
> created two branches, one merging rust-next into Linus, and another
> into next-20250317 -- not sure which is the one you usually prefer:
> 
>     https://github.com/ojeda/linux.git linus-merge-rust-next
>     https://github.com/ojeda/linux.git next-merge-rust-next
> 
> It is a bit subtle because we have to "redo" a fix from mainline in 2
> different places since the lines of the fix are moved in rust-next.
> 
> I build-tested the branches a bit -- I hope they are all OK.
> 
> I didn't modify anything in rust-next today to avoid further issues
> and get this part over with.

Thanks, I will see what I can come up with.

-- 
Cheers,
Stephen Rothwell